Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.persistence20
Class PropertiesImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.persistence20.PropertiesImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, Properties<T>

    public class PropertiesImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, Properties<T>

This class implements the `properties` xsd type

Original Documentation:

A list of standard and vendor-specific properties
and hints.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PropertiesImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PropertiesImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<Property<Properties<T>>>` | `getPropertyList()` Returns all `property` elements
`Property<Properties<T>>` | `property()` Returns the `property` element
`Properties<T>` | `removeAllProperty()` Removes all `property` elements
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesImpl

    public PropertiesImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### PropertiesImpl

    public PropertiesImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllProperty

    public Properties<T> removeAllProperty()

  Removes all `property` elements

  Specified by:
    `removeAllProperty` in interface `Properties<T>`
  Returns:
    the current instance of `Properties`

### property

    public Property<Properties<T>> property()

  Returns the `property` element

  Specified by:
    `property` in interface `Properties<T>`
  Returns:
    the node defined for the element `property`

### getPropertyList

    public java.util.List<Property<Properties<T>>> getPropertyList()

  Returns all `property` elements

  Specified by:
    `getPropertyList` in interface `Properties<T>`
  Returns:
    list of `property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD